package database;

import database.generic.DatabaseTest;
import database.generic.DateTest;

/**
 * Tests to execute for SapDB.
 */
public class SapDBTests
{
    /**
     * Name of SAPDB data source;
     */
    public static String SAPDB_DATASOURCE = "sapdb";

    /**
     * Name of SAPDB JDBC driver;
     */
    public static String SAPDB_DRIVER = "org.postgresql.Driver";

    /**
     * URL to SAPDB database.
     */
    public static String SAPDB_URL = "jdbc:postgresql://localhost/javatest";


    public static void main(String []args) throws NumberFormatException, Exception
    {
        try
        {
            DatabaseTest.addDataSource(SAPDB_DATASOURCE, SAPDB_DRIVER, SAPDB_URL);
        }
        catch (Exception eExc)
        {
            throw new RuntimeException(eExc);
        }
        DateTest dt = new DateTest("testInsertAndSelectDate", SAPDB_DATASOURCE);

        dt.testInsertAndSelectDate();

        System.exit(1);
    }
}
